MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024974Open CASCADE[OCCT] OCCT:Codingpublic2014-05-29 16:382014-11-11 12:52
Reporterabv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024974: GCC compiler warnings 'backslash inside comment'
DescriptionAfter improvement of header files generation by WOK (0024557), a few additional GCC compiler warnings appeared due to presence of backslash symbol at the end of the line within comment generated from CDL one.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024557closedkgv Improve formatting of HXX files generated by WOK 

-  Notes
(0029614)
abv (manager)
2014-05-29 16:43

Fix pushed to CR24974; it was previously included in CR24947_1 thus I assume it is reviewed already
(0029615)
abv (manager)
2014-05-29 16:44

Please integrate; no testing is needed (only comments in CDL have changed)

- Related Changesets
occt: master 774d8897
Timestamp: 2014-05-29 12:39:13
Author: abv
Committer: apn
Details ] Diff ]
0024974: GCC compiler warnings 'backslash inside comment'

Backslash at the end of the line within comment escaped by dot to avoid GCC warning
mod - src/IntCurveSurface/IntCurveSurface.cdl Diff ] File ]
mod - src/MAT2d/MAT2d_MiniPath.cdl Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-29 16:38 abv New Issue
2014-05-29 16:38 abv Assigned To => kgv
2014-05-29 16:38 abv Relationship added child of 0024557
2014-05-29 16:43 abv Note Added: 0029614
2014-05-29 16:43 abv Status new => resolved
2014-05-29 16:43 abv Assigned To kgv => apn
2014-05-29 16:43 abv Status resolved => reviewed
2014-05-29 16:44 abv Note Added: 0029615
2014-05-29 16:44 abv Status reviewed => tested
2014-05-29 17:28 apn Test case number => Not needed
2014-05-29 17:28 apn Assigned To apn => bugmaster
2014-05-30 12:59 apn Changeset attached => occt master 774d8897
2014-05-30 12:59 apn Assigned To bugmaster => apn
2014-05-30 12:59 apn Status tested => verified
2014-05-30 12:59 apn Resolution open => fixed
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker